Developer

Prerequisites

To effectively build and extend iOS applications using the MAF Extensibility and MAF Reusable Components, you need:

  • Basic UML knowledge
  • Advanced understanding of Objective-C syntax
SAP recommends that you always use the latest official iOS SDK version, which is, as of this writing, iOS SDK 7.1 with Xcode 5.1. Although the extensibility libraries rely on a traditional memory management model, you can also use them in binary form with ARC-enabled projects.